<div class="title-block">
    <h3 class="title">
        Очков: {{userScore ? userScore.score : ''}} <span class="sparkline bar"></span>
    </h3>
</div>

<section class="section text-center" *ngIf="!isLoaded">
    <app-loader></app-loader>
</section>
<section class="section" *ngIf="isLoaded">
    <div class="row">
        <div class="col-sm-4">
            <select
                    style="margin-bottom: 20px"
                    id="e-select-category-parent"
                    class="form-control"
                    name="parentIdx"
                    (change)="onSelectDateMonth($event)"
            >
                <option
                        *ngFor="let month of listDateMonths; index as i"
                        [value]="i"
                >{{month.text}}
                </option>
            </select>
            <app-history
                    [progresses]="progresses"
                    [categories]="allCategories"
                    [selectedProgressDay]="selectedProgressDay"
                    (dateSelect)="selectProgressDay($event)"
            ></app-history>
        </div>
        <div class="col-sm-4">
            <app-day-description
                    [selectedProgressDay]="selectedProgressDay"
                    [events]="filteredEvents"
                    [categories]="categories"
                    (eventEdit)="eventWasEdited($event)"
            ></app-day-description>
        </div>
    </div>
</section>

